// lista.h - Deklaracije paketa funkcija za obradu listi.

typedef struct elem { int broj; struct elem *sled; } Elem; // Element liste.

int duz(Elem *lst);                   // Broj elemenata liste.
void pisi(Elem *lst);                 // Ispisivanje liste.
Elem *na_pocetku(Elem *lst, int b);   // Dodavanje na početku.
Elem *na_kraju(Elem *lst, int b);     // Dodavanje na kraju.
Elem *citaj1(int n);     // Čitanje liste stavljajući brojeve na početku.
Elem *citaj2(int n);     // Čitanje liste stavljajući brojeve na kraju.
Elem *umetni(Elem *lst, int b);       // Umetanje u uređenu listu.
void brisi(Elem *lst);                // Brisanje svih elemenata liste.
Elem *izostavi(Elem *lst, int b);     // Izostavljanje svakog pojavljivanja.
