// stek1.h - Deklaracije paketa za stekove ograničenih kapaciteta.

typedef struct { int *niz, kap, vrh; } Stek;

Stek stvori(int k);                          // Stvaranje praznog steka.
void stavi(Stek *stk, int b);                // Stavljanje broja na stek.
int uzmi(Stek *stk);                         // Uzimanje broja sa steka.
_Bool prazan(Stek stk);                      // Da li je stek prazan?
_Bool pun   (Stek stk);                      // Da li je stek pun?
void pisi(Stek stk);                         // Ispisivanje sadržaja steka.
void prazni(Stek *stk);                      // Pražnjenje steka.
void unisti(Stek *stk);                      // Uništavanje steka.
