// pozajm_pravi.c - Stvaranje početne datoteke.

#include <stdio.h>
#include <stdlib.h>

typedef struct {
  char citalac[21], naslov[31], autor[21];
  long inv_br, uzeta, rok;
} Pozajm;

int main() {
  FILE *ul  = fopen("pozajm.pod", "r"),
       *izl = fopen("pozajm.dat", "wb");
  if (!ul || !izl) {
    printf("*** Greska %d pri otvaranju datoteke.\n", errno);
    if (ul ) fclose(ul );
    if (izl) fclose(izl);
    exit(EXIT_FAILURE);
  }
  Pozajm pozajm={0}, prazno={0};
  while (fscanf(ul, "%s%ld%s%s%ld%ld",
                &pozajm.citalac, &pozajm.inv_br, &pozajm.naslov,
                &pozajm.autor, &pozajm.uzeta, &pozajm.rok) != EOF) {
    fwrite(&pozajm, sizeof(Pozajm), 1, izl);
    pozajm = prazno;
  }
}
